
TYPO3.Fluid - Task # 6560

Task # 26664 (New): Clean up Form ViewHelpers
Task # 26658 (New): Make Form ViewHelpers consistent

Status: Closed Priority: Must have
Author: Soren Malling Category: ViewHelpers
Created: 2010-02-22 Assigned To: Sebastian Kurfuerst
Updated: 2011-09-30 Due date:
Has patch: No
Subject: A reset button for formViewHelper [Made and attached]
Description

Hi,

I was lacking the function of creating a reset button in my fluid template so I made a viewHelper for this purpose and attached it here.
Please give me feedback whether it's useful or not :)

Regards,

Søren

History
#1 - 2010-03-04 08:26 - Soren Malling
- Assigned To set to Sebastian Kurfuerst
- Target version deleted (1.0)

Hope you are enjoying the T3BOARD tour :-)

Any thoughts on this one? (sorry for assigning, but I'm not aware if a info mail is sent as long as no person is assigned)

#2 - 2010-03-15 16:49 - Sebastian Kurfuerst
- Status changed from New to Accepted
- Priority changed from Should have to Must have

#3 - 2010-03-18 15:44 - Sebastian Kurfuerst

That looks good, thanks very much :-) Have you already signed the Contributor License Agreement for TYPO3?

More info about the CLA can be found at http://typo3.org/about/licenses/

Thanks and greets :-)
Sebastian

#4 - 2010-03-23 16:14 - Soren Malling

No, haven't signed anything.

The patch was made during working hours, so it's my working email that are written in the feature so I need to get the corporation license signed.
Normally i use my private email so the personal will be signed at the same time.

Hope to get back soon with it all signed :-)

Søren

#5 - 2010-05-04 15:51 - Soren Malling

CLA signed and send to the association this very day.

The owner of the source code is me as a individual, but "signed" with my e-mail at work. If you would like me to change this e-mail address to fit the
signed CLA please tell me so and I will of course do that :-)

#6 - 2010-05-05 11:19 - Soren Malling

CLA accepted :-)

#7 - 2010-05-05 11:20 - Sebastian Kurfuerst
- % Done changed from 100 to 90

Thanks a bunch! I'll take care of committing.

Greets,
Sebastian

#8 - 2010-07-12 12:17 - Bastian Waidelich

Sorry for interfering.. But I'm asking myself: Why would you need a ViewHelper for this?
Instead of 

<f:form.reset value="Reset Fields" />

you could just write

<input type="reset" />

in your Fluid template directly.. Or am I missing something?

BTW: There's a typo in the second example in the Class DocComment

#9 - 2010-07-12 13:24 - Soren Malling

Bastian Waidelich wrote:

Sorry for interfering.. But I'm asking myself: Why would you need a ViewHelper for this?
Instead of 
[...]
you could just write
[...]
in your Fluid template directly.. Or am I missing something?

BTW: There's a typo in the second example in the Class DocComment

My wish for a rest button came after a "experience" where i was using f:form.submit and expected f:form.reset to be a available button as well, as it's a
commonly used button for forms.

#10 - 2011-05-06 10:09 - Sebastian Kurfuerst
- Parent task set to #26658

#11 - 2011-07-19 23:34 - Stefan Neufeind

@Sebastian/Bastian: Please make up your mind about this one.

#12 - 2011-09-09 15:20 - Robert Lemke
- Target version changed from 1.0 beta 2 to 1.0.0

#13 - 2011-09-30 12:27 - Robert Lemke
- Status changed from Accepted to Closed
- Target version deleted (1.0.0)
- Has patch set to No

I'll close this issue for the following reasons:

    -  as Bastian pointed out, not using a view helper is even more simple
    -  resetting forms is ... very unnecessary in most cases, actually not good UX practice anyways

Files
ResetViewHelper.php 3 kB 2010-02-22 Soren Malling
